# vue3-code-editor

Simple editor for vue3.

## Example
```html
<template>
  <CodeEditor
    v-model="data"
    lang="javascript"
    theme="monokai"
    @init="init"
  ></CodeEditor>
</template>
```
```js
<script>
import { defineComponent, ref } from "vue";
import CodeEditor from "vue3-code-editor";

export default defineComponent({
  components: {
    CodeEditor,
  },
  setup() {
    return {
      data: ref(""),

      init: function () {
        require("brace/theme/monokai");
        require("brace/mode/javascript");
      },
    };
  },
});
</script>
```
