/**
 * vue3-code-editor
 * (c) 2021 oivasenk
 * @license MIT
 */

import Component from "./src/CodeEditor";

export function install(Vue) {
  if (install.installed) return;
  install.installed = true;
  Vue.component(Component.name, Component);
}

const plugin = { install };

let GlobalVue = null;
if (typeof window !== "undefined") {
  GlobalVue = window.Vue;
} else if (typeof global !== "undefined") {
  GlobalVue = global.Vue;
}
if (GlobalVue) {
  GlobalVue.use(plugin);
}

export default Component;
